## postgis 2.5.2+dfsg

=== debian/changelog ===
postgis (2.5.2+dfsg-2) unstable; urgency=medium

  * Merge -arch & -indep targets.
    (closes: #932833)
  * Update PIE hardening conditional, trusty is EOL.
  * Explicitly remove liblwgeom.la before dh_install.
  * Bump Standards-Version to 4.4.0, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 23 Jul 2019 21:51:23 +0200

postgis (2.5.2+dfsg-1) unstable; urgency=medium

  * Update gbp.conf to use --source-only-changes by default.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 07 Jul 2019 13:12:25 +0200

postgis (2.5.2+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.3.0, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 12 Mar 2019 06:59:37 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Disable PIE on Ubuntu where it's still problematic
VENDOR_DERIVES_FROM_UBUNTU ?= $(shell dpkg-vendor --derives-from Ubuntu && echo yes)
DISTRIBUTION_RELEASE       := $(shell lsb_release -cs)

ifeq ($(VENDOR_DERIVES_FROM_UBUNTU),yes)
  ifneq (,$(filter $(DISTRIBUTION_RELEASE),xenial bionic))
    export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
  endif
endif

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

# Magic to automatically create a debian/control file for the (or all)
# supported versions of Postgres.
#
# Blatantly copied from
# /usr/share/postgresql-common/pgxs_debian_control.mk and extended to
# support NEWEST_VERSION and fiddle with postgis 2.0 transitional
# packages.
debian/control: debian/control.in debian/pgversions
	(set -e; \
	VERSIONS=`pg_buildext supported-versions $(CURDIR)` || exit $$?; \
	NEWEST_VERSION=`pg_buildext supported-versions $(CURDIR) | tail -1` || exit $$?; \
	grep-dctrl -vP PGVERSION $< \
		| sed -e "s:NEWEST_PGVERSION:$$NEWEST_VERSION:" > $@.pgxs_tmp; \
	for v in $$VERSIONS; do \
		grep-dctrl -P PGVERSION $< \
			| sed -e "s:PGVERSION:$$v:" >> $@.pgxs_tmp; \
	done; \
	mv $@.pgxs_tmp $@) || (rm -f $@.pgxs_tmp; exit 1)

CHECK_FAIL = exit 2
# Ignore test failure on problematic architectures
ifneq (,$(filter $(DEB_BUILD_ARCH),mips mips64el mipsel s390x alpha hppa hurd-i386 kfreebsd-i386 powerpc ppc64 sparc64))
	CHECK_FAIL = exit 0
endif

# Upstream version (including ~rcN) for symbols version
UPSTREAM_VERSION := $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')

MAJOR_VERSION = $(shell grep ^POSTGIS_MAJOR_VERSION Version.config | cut -d= -f2)
MINOR_VERSION = $(shell grep ^POSTGIS_MINOR_VERSION Version.config | cut -d= -f2)
MICRO_VERSION = $(shell grep ^POSTGIS_MICRO_VERSION Version.config | cut -d= -f2)
POSTGIS_VERSION = $(MAJOR_VERSION).$(MINOR_VERSION).$(MICRO_VERSION)
ifeq ($(POSTGIS_VERSION),..)
$(error Cannot detect Postgis version, fix debian/rules)
endif

LIBLWGEOM_CURRENT   = $(shell grep ^LIBLWGEOM_IFACE_CUR Version.config | cut -d= -f2)
LIBLWGEOM_REVISION  = $(shell grep ^LIBLWGEOM_IFACE_REV Version.config | cut -d= -f2)
LIBLWGEOM_AGE       = $(shell grep ^LIBLWGEOM_IFACE_AGE Version.config | cut -d= -f2)
LIBLWGEOM_SOVERSION = $(shell expr $(LIBLWGEOM_CURRENT) - $(LIBLWGEOM_AGE))
ifeq ($(LIBLWGEOM_SOVERSION),)
$(error Cannot detect liblwgeom SOVERSION, fix debian/rules)
endif

# For the Postgres APT repository, we want to support multiple
# Postgres versions. However, docs and the JDBC jar only need to be
# built once - in the main directory.
NEWEST_POSTGRES_VERSION = $(shell pg_buildext supported-versions $(CURDIR) | tail -1)
ifeq ($(NEWEST_POSTGRES_VERSION),)
$(error Cannot detect Postgres version, check debian/pgversions and pg_buildext)
endif

OTHER_POSTGRES_VERSIONS = $(shell pg_buildext supported-versions $(CURDIR) \
	| grep -v "$(NEWEST_POSTGRES_VERSION)")

COMMON_CONFIGURE_ARGS = --host=$(DEB_HOST_GNU_TYPE) \
	--build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/usr \
	--exec-prefix=\$${prefix} \
	--docdir=\$${prefix}/share/doc \
	--mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
	--without-interrupt-tests \
	--with-gui

NJOBS := -j1
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
NJOBS := -j$(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

%:
	dh $@ --with autoreconf --parallel

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_auto_clean: debian/control
#	Clean all separate build directories.
	(set -e; \
	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \
		rm -rf $(CURDIR)/debian/build-$$PGVER; \
	done)

	[ ! -f GNUmakefile ] || $(MAKE) $(NJOBS) distclean || true
	[ ! -f GNUmakefile ] || $(MAKE) $(NJOBS) -C doc images-clean || true

#	Cleanup after the Makefile
	rm -f postgis/postgis_upgrade_20_minor.sql.in \
		raster/rt_pg/rtpostgis_drop.sql \
		raster/rt_pg/rtpostgis_upgrade_cleanup.sql

#	Cleanup auto-generated packaging control files
	rm -f $(CURDIR)/debian/postgresql-*-postgis-*.install
	rm -f $(CURDIR)/debian/postgresql-*-postgis-*-scripts.install
	rm -f loader/cunit/cu_tester
	rm -rf liblwgeom/cunit/.libs

#	Cleanup the temporary environment file.
	rm -f postgis-check-env.tmp

override_dh_auto_configure:
#	Copy sources required to build extensions for all but the most
#	recent Postgres version. Unfortunately, Postgis doesn't support
#	vpath builds.
	(set -e; \
	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \
		mkdir $(CURDIR)/debian/build-$$PGVER; \
		for FILE in `ls $(CURDIR) | grep -v debian`; do \
			cp -a $$FILE $(CURDIR)/debian/build-$$PGVER; \
		done; \
	done)

#	PostGIS for the most recent PostgreSQL version
	@echo " ### configuring $(NEWEST_POSTGRES_VERSION) ###"
	./configure $(COMMON_CONFIGURE_ARGS) \
		--datadir=\$${prefix}/share/postgresql-$(NEWEST_POSTGRES_VERSION)-postgis \
		--with-pgconfig=/usr/lib/postgresql/$(NEWEST_POSTGRES_VERSION)/bin/pg_config

#	PostGIS for all older Postgres versions
	(set -e; \
	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \
		echo " ### configuring $$PGVER ###"; \
		cd $(CURDIR)/debian/build-$$PGVER; \
		./configure $(COMMON_CONFIGURE_ARGS) \
			--datadir=\$${prefix}/share/postgresql-$$PGVER-postgis \
			--with-pgconfig=/usr/lib/postgresql/$$PGVER/bin/pg_config; \
	done)

override_dh_auto_build:
#	Build against the newest Postgres version
	@echo " ### building $(NEWEST_POSTGRES_VERSION) ###"
	$(MAKE) $(NJOBS)
	$(MAKE) $(NJOBS) -C doc

#	Build against all other Postgres versions
	(set -e; \
	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \
		echo " ### building $$PGVER ###"; \
		$(MAKE) $(NJOBS) -C $(CURDIR)/debian/build-$$PGVER; \
	done)

#	Let PostGIS create a perl script from postgis_restore.pl.in
	$(MAKE) $(NJOBS) -C utils

#	Create a few SQL scripts that the Makefiles are not clever enough
#	to resolve, when building arch-indep only.
	$(MAKE) $(NJOBS) -C postgis postgis.sql postgis_upgrade.sql
	$(MAKE) $(NJOBS) -C raster/rt_pg rtpostgis.sql rtpostgis_upgrade.sql
	$(MAKE) $(NJOBS) -C topology topology.sql topology_upgrade.sql

#	This creates the required SQL scripts. Again, the Makefile is not
#	clever enough to run this before 'install'.
	$(MAKE) $(NJOBS) -C extensions

	touch $@

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#   Run unit tests (against the newest Postgres version, first)
	echo "LD_PRELOAD = '$(CURDIR)/liblwgeom/.libs/liblwgeom-$(MAJOR_VERSION).$(MINOR_VERSION).so.$(LIBLWGEOM_SOVERSION)'" \
		> $(CURDIR)/postgis-check-env.tmp
	echo " ### testing $(NEWEST_POSTGRES_VERSION) ###"
	pg_virtualenv -v $(NEWEST_POSTGRES_VERSION) \
		-c '--environment $(CURDIR)/postgis-check-env.tmp' \
		make check RUNTESTFLAGS="-v" || $(CHECK_FAIL)

#	Test against all other Postgres versions
	set -e; \
	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \
		echo " ### testing $$PGVER ###"; \
		echo "LD_PRELOAD = '$(CURDIR)/debian/build-$$PGVER/liblwgeom/.libs/liblwgeom-$(MAJOR_VERSION).$(MINOR_VERSION).so.$(LIBLWGEOM_SOVERSION)'" \
			> $(CURDIR)/postgis-check-env.tmp; \
		pg_virtualenv -v $$PGVER \
			-c '--environment $(CURDIR)/postgis-check-env.tmp' \
			make -C $(CURDIR)/debian/build-$$PGVER check RUNTESTFLAGS="-v" || $(CHECK_FAIL); \
	done
endif

override_dh_auto_install:
#	Install the most recent Postgres version. Note that we used to
#	install only utils and extensions. However, there are sql scripts
#	in postgis, raster and topology as well, which need to be
#	installed for the -scripts package(s).
	$(MAKE) $(NJOBS) install DESTDIR=$(CURDIR)/debian/tmp

#	Install all older Postgres versions.
	(set -e; \
	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \
		$(MAKE) $(NJOBS) -C $(CURDIR)/debian/build-$$PGVER \
			install DESTDIR=$(CURDIR)/debian/tmp; \
	done)

## postgis 2.5.3+dfsg

=== extensions/address_standardizer/Makefile ===
include ../upgradeable_versions.mk
OBJS = \
    address_parser.o \
    address_standardizer.o \
    std_pg_hash.o \
    analyze.o \
    err_param.o \
    export.o \
    gamma.o \
    hash.o \
    lexicon.o \
    pagc_tools.o \
    parseaddress-api.o \
    standard.o \
    tokenize.o

OBJS_test_main = \
    test_main.o \
    analyze.o \
    err_param.o \
    export.o \
    gamma.o \
    hash.o \
    lexicon.o \
    pagc_tools.o \
    standard.o \
    tokenize.o

POSTGIS_PGSQL_VERSION=96
# SQL preprocessor
SQLPP = /usr/bin/cpp -traditional-cpp -w -P
GREP=/bin/grep
PERL=/usr/bin/perl
EXTVERSION    = 2.5.3
MINORVERSION  = 2.5
MODULE_big = address_standardizer
EXTENSION = address_standardizer
DATA = sql/$(EXTENSION).sql sql/$(EXTENSION)_data_us.sql

DATA_built = \
	$(EXTENSION).control \
	$(EXTENSION)_data_us.control \
	$(NULL)

all:  sql/address_standardizer.sql sql/address_standardizer--1.0--$(EXTVERSION).sql sql/address_standardizer--$(EXTVERSION).sql sql/$(EXTENSION)--ANY--$(EXTVERSION).sql \
 sql/$(EXTENSION)_data_us.sql sql/address_standardizer--2.5.3.sql sql/$(EXTENSION)_data_us--2.5.3.sql  sql/$(EXTENSION)_data_us--$(EXTVERSION)--$(EXTVERSION)next.sql \
sql/$(EXTENSION)_data_us--$(EXTVERSION)next--$(EXTVERSION).sql \
sql/test-init-extensions.sql sql/test-parseaddress.sql sql/test-standardize_address_1.sql sql/test-standardize_address_2.sql

EXTRA_CLEAN += sql/*.sql

DOCS = README.address_standardizer
PG_CPPFLAGS = -g -O2  -I/var/lib/jenkins/workspace/geos/rel-3.6w64/include   -I/usr/include/libxml2 -I/usr/include -DHAVE_SFCGAL   

SHLIB_LINK =  -L/var/lib/jenkins/workspace/geos/rel-3.6w64/lib  -lgeos_c -lproj  -ljson-c -lprotobuf-c -lxml2 -L/usr/lib/x86_64-linux-gnu -lSFCGAL  -Wl,--exclude-libs,ALL  -lpcre
EXTRA_CLEAN = usps-st-city-name.txt mk-st-regexp mk-city-regex test_main
REGRESS = test-init-extensions test-parseaddress test-standardize_address_1 test-standardize_address_2

# PGXS information
PG_CONFIG = /var/lib/jenkins/workspace/pg/rel/pg9.6w64/bin/pg_config

PGVER := $(shell $(PG_CONFIG) --version)


# Set PERL _after_ the include of PGXS
PERL=/usr/bin/perl

# Borrow the $libdir substitution from PGXS but customise by running the preprocessor
# and adding the version number
sql/%.sql: %.sql.in
	mkdir -p sql
	$(SQLPP) -I../libpgcommon $< | grep -v '^#' | \
	$(PERL) -lpe "s'MODULE_PATHNAME'\$$libdir/${EXTENSION}'g" > $@

%.control: %.control.in Makefile
	cat $< \
		| sed -e 's|@EXTVERSION@|$(EXTVERSION)|g' \
		> $@

sql/address_standardizer--2.5.3.sql: sql/address_standardizer_types.sql \
    sql/address_standardizer_functions.sql
	mkdir -p sql
	cat $^ > $@

sql/address_standardizer.sql: sql/address_standardizer_types.sql \
    sql/address_standardizer_functions.sql
	mkdir -p sql
	cat $^ > $@

sql/address_standardizer--1.0--$(EXTVERSION).sql:  sql/address_standardizer_functions.sql
	mkdir -p sql
	cat $^ > $@

# Scripts making up the extension minor upgrade file
# NOTE: order matters
EXTENSION_UPGRADE_SCRIPTS = \
	sql/address_standardizer_functions.sql


sql/$(EXTENSION)--ANY--$(EXTVERSION).sql: $(EXTENSION_UPGRADE_SCRIPTS)
	cat $(EXTENSION_UPGRADE_SCRIPTS) > $@

include ../upgrade-paths-rules.mk

# build us data extension
sql/$(EXTENSION)_data_us--$(EXTVERSION).sql: us_lex.sql us_gaz.sql us_rules.sql sql_bits/address_standardizer_data_us_mark_editable_objects.sql.in
	mkdir -p sql
	cat $^ > $@

sql/$(EXTENSION)_data_us.sql: us_lex.sql us_gaz.sql us_rules.sql sql_bits/address_standardizer_data_us_mark_editable_objects.sql.in
	mkdir -p sql
	cat $^ > $@

# upgrade logic for us data extension (to go to next cludge for dev upgrading)
sql/$(EXTENSION)_data_us--$(EXTVERSION)--$(EXTVERSION)next.sql: sql/$(EXTENSION)_data_us--$(EXTVERSION).sql
	mkdir -p sql
	cat $^ > $@

# upgrade logic for us data extension (to go to original round-robin yoyo cludge for dev upgrading)
sql/$(EXTENSION)_data_us--$(EXTVERSION)next--$(EXTVERSION).sql: sql/$(EXTENSION)_data_us--$(EXTVERSION).sql
	mkdir -p sql
	cat $^ > $@

mk-st-regexp: mk-st-regexp.pl
	$(PERL) -c mk-st-regexp.pl
	rm -f mk-st-regexp
	echo "#! " $(PERL) > mk-st-regexp
	cat mk-st-regexp.pl >> mk-st-regexp
	chmod ugo+x mk-st-regexp

mk-city-regex: mk-city-regex.pl usps-st-city-name.txt
	$(PERL) -c mk-city-regex.pl
	rm -f mk-city-regex
	echo "#! " $(PERL) > mk-city-regex
	cat mk-city-regex.pl >> mk-city-regex
	chmod ugo+x mk-city-regex

usps-st-city-name.txt: usps-st-city-orig.txt usps-st-city-adds.txt
	cat usps-st-city-orig.txt usps-st-city-adds.txt | sort -u >usps-st-city-name.txt

#parseaddress-stcities.h: mk-city-regex
#	./mk-city-regex > parseaddress-stcities.h

#parseaddress-regex.h: mk-st-regexp
#	./mk-st-regexp > parseaddress-regex.h

dist-clean:
	rm -f mk-st-regexp mk-city-regex usps-st-city-name.txt test_main Makefile


test_main: $(OBJS_test_main)
	gcc -o test_main $(OBJS_test_main) $(LDFLAGS) $(LIBS)

test_main.o: test_main.c pagc_api.h pagc_std_api.h

address_parser.o: address_parser.c parseaddress-api.h

address_standardizer.o: address_standardizer.c std_pg_hash.h pagc_api.h pagc_std_api.h

analyze.o: analyze.c pagc_api.h

err_param.o: err_param.c pagc_api.h

export.o: export.c pagc_api.h pagc_tools.h

gamma.o: gamma.c pagc_api.h pagc_std_api.h gamma.h

hash.o: hash.c hash.h khash.h

lexicon.o: lexicon.c pagc_api.h pagc_std_api.h

pagc_tools.o: pagc_tools.c pagc_tools.h pagc_common.h

parseaddress-api.o: parseaddress-api.c parseaddress-api.h parseaddress-stcities.h parseaddress-regex.h

standard.o: standard.c pagc_api.h

tokenize.o: tokenize.c pagc_api.h

std_pg_hash.o: std_pg_hash.c std_pg_hash.h pagc_api.h pagc_std_api.h

#only extension files
DATA += $(wildcard sql/*--*.sql)
EXTRA_CLEAN += sql/*.sql
EXTRA_CLEAN += $(wildcard expected/*--*.out)
EXTRA_CLEAN += sql/$(EXTENSION)--$(EXTVERSION).sql sql/$(EXTENSION)--unpackaged--$(EXTVERSION).sql
EXTRA_CLEAN += sql/$(EXTENSION)--$(EXTVERSION).sql sql/$(EXTENSION)--unpackaged--$(EXTVERSION).sql *.a *.so *.dll

distclean: clean
	rm Makefile

PGXS := /var/lib/jenkins/workspace/pg/rel/pg9.6w64/lib/postgresql/pgxs/src/makefiles/pgxs.mk
include $(PGXS)
PERL = /usr/bin/perl

=== debian/changelog ===
postgis (2.5.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 11 Aug 2019 09:18:54 +0200

=== debian/control ===
Source: postgis
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Stephen Frost <sfrost@debian.org>,
           Francesco Paolo Lovergine <frankie@debian.org>,
           Markus Wanner <markus@bluegap.ch>,
           Bas Couwenberg <sebastic@debian.org>,
           Christoph Berg <myon@debian.org>
Section: misc
Priority: optional
Build-Depends: autoconf2.13,
               autotools-dev,
               bison,
               dblatex,
               debhelper (>= 9),
               dh-autoreconf,
               docbook,
               docbook-xsl,
               dpkg-dev (>= 1.16.1~),
               flex,
               imagemagick,
               libcunit1-dev,
               libgdal-dev (>= 1.11.2+dfsg-3~) | libgdal1-dev (>= 1.9.0~),
               libgeos-dev (>= 3.5),
               libgtk2.0-dev,
               libjson-c-dev | libjson0-dev (>= 0.9~),
               libproj-dev (>= 4.6.0),
               libprotobuf-c-dev,
               libsfcgal-dev [!armel],
               libxml2-dev (>= 2.5.0~),
               lsb-release,
               po-debconf,
               postgresql-all,
               postgresql-common (>= 148~),
               postgresql-server-dev-all,
               protobuf-c-compiler,
               rdfind,
               xsltproc
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/postgis
Vcs-Git: https://salsa.debian.org/debian-gis-team/postgis.git
Homepage: http://postgis.net/

Package: postgis
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: postgresql-11-postgis-2.5,
            postgis-doc
Suggests: postgis-gui
Description: Geographic objects support for PostgreSQL
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 This package contains the PostGIS userland binaries for importing and
 exporting shape and raster files: pgsql2shp, raster2pgsql, and shp2pgsql.

Package: postgis-gui
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: postgresql-11-postgis-2.5,
            postgis-doc
Suggests: postgis
Breaks: postgis (<< 2.2.2+dfsg-2~)
Replaces: postgis (<< 2.2.2+dfsg-2~)
Description: Geographic objects support for PostgreSQL -- GUI programs
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 This package contains the PostGIS graphical shape file loader,
 shp2pgsql-gui.

Package: postgis-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Suggests: postgis
Description: Geographic objects support for PostgreSQL -- documentation
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 This package contains the PostGIS documentation.

Package: liblwgeom-2.5-0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: PostGIS "Lightweight Geometry" library
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 This library is the generic geometry handling section of PostGIS. The
 geometry objects, constructors, destructors, and a set of spatial
 processing functions, are implemented here.

Package: liblwgeom-dev
Architecture: any
Section: libdevel
Depends: liblwgeom-2.5-0 (= ${binary:Version}),
         ${misc:Depends}
Breaks: postgis (<< 2.0.0)
Description: PostGIS "Lightweight Geometry" library - Development files
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 This library is the generic geometry handling section of PostGIS. The
 geometry objects, constructors, destructors, and a set of spatial
 processing functions, are implemented here.  This package contains
 the development files.

Package: postgresql-11-postgis-2.5
Architecture: any
Depends: postgresql-11,
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: postgresql-11-postgis-2.5-scripts
Suggests: postgis
Breaks: postgis (<< 1.2.1)
Provides: postgresql-11-postgis,
          postgresql-postgis
Description: Geographic objects support for PostgreSQL 11
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 To create the PostGIS extensions in a PostgreSQL 11 database, the
 postgresql-11-postgis-2.5-scripts package must be installed as well.

Package: postgresql-11-postgis-2.5-scripts
Architecture: all
Multi-Arch: foreign
Depends: ${perl:Depends},
         ${misc:Depends}
Recommends: postgresql-11-postgis-2.5
Breaks: postgresql-11-postgis-scripts (<< 2.2.2+dfsg-3~)
Conflicts: postgresql-11-postgis-2.2-scripts,
           postgresql-11-postgis-2.3-scripts,
           postgresql-11-postgis-2.4-scripts
Provides: postgresql-11-postgis-scripts,
          postgresql-postgis-scripts
Replaces: postgresql-11-postgis-scripts (<< 2.2.2+dfsg-3~)
Description: Geographic objects support for PostgreSQL 11 -- SQL scripts
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 This package contains the SQL scripts for installing PostGIS in a PostgreSQL
 11 database, and for upgrading from earlier PostGIS versions.

## postgis 3.0.0~alpha3+dfsg

=== deps/Makefile ===
#/**********************************************************************
# *
# * PostGIS - Spatial Types for PostgreSQL
# * http://postgis.net
# *
# * PostGIS is free software: you can redistribute it and/or modify
# * it under the terms of the GNU General Public License as published by
# * the Free Software Foundation, either version 2 of the License, or
# * (at your option) any later version.
# *
# * PostGIS is distributed in the hope that it will be useful,
# * but WITHOUT ANY WARRANTY; without even the implied warranty of
# * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# * GNU General Public License for more details.
# *
# * You should have received a copy of the GNU General Public License
# * along with PostGIS.  If not, see <http://www.gnu.org/licenses/>.
# *
# **********************************************************************
# *
# * Copyright 2019 Raúl Marín
# *
# **********************************************************************/

CC=gcc
CXX=
CFLAGS=-I../liblwgeom  -Wall -Wmissing-prototypes -std=gnu99 -g -O2 -fno-math-errno -fno-signed-zeros  -fPIC -DPIC
CXXFLAGS=-I../liblwgeom  -Wall -Wmissing-prototypes   -fPIC -DPIC
LDFLAGS = 
top_builddir = ..
libdir = ${exec_prefix}/lib
LIBTOOL = $(SHELL) $(top_builddir)/libtool

all: 

:
	$(MAKE) -C wagyu $@

install:

uninstall:

check:

clean:
	$(MAKE) -C wagyu $@

distclean: clean
	$(MAKE) -C wagyu $@
	rm -f Makefile

=== raster/Makefile ===
#############################################################################
#
# Master Makefile used to build WKT Raster
#
# Copyright (c) 2009 Sandro Santilli <strk@kbt.io>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#############################################################################

CC=gcc
CFLAGS=-I../liblwgeom  -Wall -Wmissing-prototypes -std=gnu99 -g -O2 -fno-math-errno -fno-signed-zeros
LDFLAGS = 

all:    

corelib:
	$(MAKE) -C rt_core

pglib: corelib
	$(MAKE) -C rt_pg

rtloader: corelib
	$(MAKE) -C loader

rtpostgis.sql:
	$(MAKE) -C rt_pg rtpostgis.sql

install: all
	$(MAKE) -C rt_pg install
	$(MAKE) -C loader install
	$(MAKE) -C scripts install

uninstall:
	$(MAKE) -C rt_pg uninstall
	$(MAKE) -C loader uninstall
	$(MAKE) -C scripts uninstall

clean:
	$(MAKE) -C rt_core $@
	$(MAKE) -C rt_pg $@
	$(MAKE) -C loader $@
	$(MAKE) -C test $@
	$(MAKE) -C scripts $@

distclean: clean
	$(MAKE) -C rt_core $@
	$(MAKE) -C rt_pg $@
	$(MAKE) -C loader $@
	$(MAKE) -C test $@
	$(MAKE) -C scripts $@
	rm -f raster_config.h Makefile

core-check:
	$(MAKE) -C test $@

check:
	$(MAKE) -C test $@

=== extensions/address_standardizer/Makefile ===
--- 
+++ 
@@ -1,4 +1,3 @@
-include ../upgradeable_versions.mk
 OBJS = \
     address_parser.o \
     address_standardizer.o \
@@ -30,10 +29,13 @@
 # SQL preprocessor
 SQLPP = /usr/bin/cpp -traditional-cpp -w -P
 GREP=/bin/grep
-PERL=/usr/bin/perl
-EXTVERSION    = 2.5.3
-MINORVERSION  = 2.5
-MODULE_big = address_standardizer
+EXTVERSION = 3.0.0alpha3
+MODULE_big = address_standardizer-3
+MODULEPATH    = $$libdir/address_standardizer-3
+ifeq (no,yes)
+MODULE_big = address_standardizer-3.0
+MODULEPATH    = $$libdir/address_standardizer-3.0
+endif
 EXTENSION = address_standardizer
 DATA = sql/$(EXTENSION).sql sql/$(EXTENSION)_data_us.sql
 
@@ -42,42 +44,36 @@
 	$(EXTENSION)_data_us.control \
 	$(NULL)
 
-all:  sql/address_standardizer.sql sql/address_standardizer--1.0--$(EXTVERSION).sql sql/address_standardizer--$(EXTVERSION).sql sql/$(EXTENSION)--ANY--$(EXTVERSION).sql \
- sql/$(EXTENSION)_data_us.sql sql/address_standardizer--2.5.3.sql sql/$(EXTENSION)_data_us--2.5.3.sql  sql/$(EXTENSION)_data_us--$(EXTVERSION)--$(EXTVERSION)next.sql \
+all:  sql/address_standardizer.sql sql/address_standardizer--1.0--$(EXTVERSION).sql sql/address_standardizer--$(EXTVERSION).sql sql/address_standardizer--$(EXTVERSION)--$(EXTVERSION)next.sql sql/address_standardizer--$(EXTVERSION)next--$(EXTVERSION).sql \
+ sql/$(EXTENSION)_data_us.sql sql/address_standardizer--3.0.0alpha3.sql sql/$(EXTENSION)_data_us--3.0.0alpha3.sql  sql/$(EXTENSION)_data_us--$(EXTVERSION)--$(EXTVERSION)next.sql \
 sql/$(EXTENSION)_data_us--$(EXTVERSION)next--$(EXTVERSION).sql \
 sql/test-init-extensions.sql sql/test-parseaddress.sql sql/test-standardize_address_1.sql sql/test-standardize_address_2.sql
 
 EXTRA_CLEAN += sql/*.sql
 
+
+
 DOCS = README.address_standardizer
-PG_CPPFLAGS = -g -O2  -I/var/lib/jenkins/workspace/geos/rel-3.6w64/include   -I/usr/include/libxml2 -I/usr/include -DHAVE_SFCGAL   
+PG_CPPFLAGS = -std=gnu99 -g -O2 -fno-math-errno -fno-signed-zeros  -I/var/lib/jenkins/workspace/geos/rel-3.6w64/include   -I/usr/include/libxml2 -I/usr/include -I/usr/include/json-c  
 
-SHLIB_LINK =  -L/var/lib/jenkins/workspace/geos/rel-3.6w64/lib  -lgeos_c -lproj  -ljson-c -lprotobuf-c -lxml2 -L/usr/lib/x86_64-linux-gnu -lSFCGAL  -Wl,--exclude-libs,ALL  -lpcre
+SHLIB_LINK =  -L/var/lib/jenkins/workspace/geos/rel-3.6w64/lib -lgeos_c -lproj -ljson-c -lprotobuf-c -lxml2 -L/usr/lib/x86_64-linux-gnu -lSFCGAL -Wl,--exclude-libs,ALL  
 EXTRA_CLEAN = usps-st-city-name.txt mk-st-regexp mk-city-regex test_main
 REGRESS = test-init-extensions test-parseaddress test-standardize_address_1 test-standardize_address_2
 
-# PGXS information
-PG_CONFIG = /var/lib/jenkins/workspace/pg/rel/pg9.6w64/bin/pg_config
-
-PGVER := $(shell $(PG_CONFIG) --version)
-
-
-# Set PERL _after_ the include of PGXS
-PERL=/usr/bin/perl
 
 # Borrow the $libdir substitution from PGXS but customise by running the preprocessor
 # and adding the version number
 sql/%.sql: %.sql.in
 	mkdir -p sql
 	$(SQLPP) -I../libpgcommon $< | grep -v '^#' | \
-	$(PERL) -lpe "s'MODULE_PATHNAME'\$$libdir/${EXTENSION}'g" > $@
+	$(PERL) -lpe "s'MODULE_PATHNAME'\$(MODULEPATH)'g" > $@
 
 %.control: %.control.in Makefile
 	cat $< \
 		| sed -e 's|@EXTVERSION@|$(EXTVERSION)|g' \
 		> $@
 
-sql/address_standardizer--2.5.3.sql: sql/address_standardizer_types.sql \
+sql/address_standardizer--3.0.0alpha3.sql: sql/address_standardizer_types.sql \
     sql/address_standardizer_functions.sql
 	mkdir -p sql
 	cat $^ > $@
@@ -91,16 +87,15 @@
 	mkdir -p sql
 	cat $^ > $@
 
-# Scripts making up the extension minor upgrade file
-# NOTE: order matters
-EXTENSION_UPGRADE_SCRIPTS = \
-	sql/address_standardizer_functions.sql
+# upgrade logic for us data extension (to go to next cludge for dev upgrading)
+sql/$(EXTENSION)--$(EXTVERSION)--$(EXTVERSION)next.sql: sql/address_standardizer_functions.sql
+	mkdir -p sql
+	cat $^ > $@
 
-
-sql/$(EXTENSION)--ANY--$(EXTVERSION).sql: $(EXTENSION_UPGRADE_SCRIPTS)
-	cat $(EXTENSION_UPGRADE_SCRIPTS) > $@
-
-include ../upgrade-paths-rules.mk
+# upgrade logic for us data extension (to go to original round-robin yoyo cludge for dev upgrading)
+sql/$(EXTENSION)--$(EXTVERSION)next--$(EXTVERSION).sql: sql/address_standardizer_functions.sql
+	mkdir -p sql
+	cat $^ > $@
 
 # build us data extension
 sql/$(EXTENSION)_data_us--$(EXTVERSION).sql: us_lex.sql us_gaz.sql us_rules.sql sql_bits/address_standardizer_data_us_mark_editable_objects.sql.in
@@ -189,6 +184,7 @@
 distclean: clean
 	rm Makefile
 
+PG_CONFIG := /var/lib/jenkins/workspace/pg/rel/pg9.6w64/bin/pg_config
 PGXS := /var/lib/jenkins/workspace/pg/rel/pg9.6w64/lib/postgresql/pgxs/src/makefiles/pgxs.mk
 include $(PGXS)
 PERL = /usr/bin/perl

=== extensions/postgis_raster/Makefile ===
include ../upgradeable_versions.mk

EXTENSION     = postgis_raster
EXTVERSION    = 3.0.0alpha3
MINORVERSION  = 3.0
MODULEPATH    = $$libdir/$(EXTENSION)-3

ifeq (no,yes)
MODULEPATH=$$libdir/$(EXTENSION)-$(MINORVERSION)
endif
GREP = /bin/grep

# SQL preprocessor
SQLPP = /usr/bin/cpp -traditional-cpp -w -P

MICRO_NUMBER  = $(shell echo $(EXTVERSION) | \
						$(PERL) -pe 's/\d.\d.(\d+)[a-zA-Z]*\d*/$1/'

PREREL_NUMBER = $(shell echo $(EXTVERSION) | \
                        $(PERL) -pe 's/\d\.\d\.(.*)/\1/' | \
                        $(GREP) "[a-zA-Z]" | \
                        $(PERL) -pe 's/\d+[a-zA-Z]+(\d+)/\1/'

MICRO_PREV    = $(shell if test "$(MICRO_NUMBER)x" != "x"; then expr $(MICRO_NUMBER) - 1; fi)
PREREL_PREV   = $(shell if test "$(PREREL_NUMBER)x" != "x"; then expr $(PREREL_NUMBER) - 1; fi)

PREREL_PREFIX = $(shell echo $(EXTVERSION) | \
                        $(PERL) -pe 's/\d\.\d\.(.*)/\1/' | \
                        $(GREP) "[a-zA-Z]" | \
                        $(PERL) -pe 's/(\d+[a-zA-Z]+)\d*/\1/'

DATA_built = \
	$(EXTENSION).control \
	sql/$(EXTENSION)--$(EXTVERSION).sql \
	sql/$(EXTENSION)--unpackaged--$(EXTVERSION).sql \
	$(NULL)

# Scripts making up the extension file
# NOTE: order matters
EXTENSION_SCRIPTS = \
	sql/rtpostgis.sql \
	sql/raster_comments.sql

# Scripts making up the extension minor upgrade file
# NOTE: order matters
EXTENSION_UPGRADE_SCRIPTS = \
	../postgis_extension_helper.sql \
	sql/rtpostgis_upgrade.sql \
	../../doc/raster_comments.sql \
	../postgis_extension_helper_uninstall.sql

# Scripts making up the extension upgrade-from-unpackaged file
# NOTE: order matters
EXTENSION_UNPACKAGED_UPGRADE_SCRIPTS = \
	sql/rtpostgis.sql

SQL_BITS     = $(wildcard sql/*.sql)
EXTRA_CLEAN += ${SQL_BITS} sql/*.sql

CURV_big=30

all: sql/$(EXTENSION)--$(EXTVERSION).sql sql/$(EXTENSION)--unpackaged--$(EXTVERSION).sql

sql:
	mkdir -p $@

sql/$(EXTENSION).sql: $(EXTENSION_SCRIPTS) | sql
	printf '\\echo Use "CREATE EXTENSION $(EXTENSION)" to load this file. \\quit\n' > $@
	cat $^ >> $@

$(EXTENSION).control: $(EXTENSION).control.in Makefile
	cat $< \
		| sed -e 's|@EXTVERSION@|$(EXTVERSION)|g' \
		| sed -e 's|@EXTENSION@|$(EXTENSION)|g' \
		| sed -e 's|@MODULEPATH@|$(MODULEPATH)|g' \
		> $@

sql/$(EXTENSION)--$(EXTVERSION).sql: sql/$(EXTENSION).sql | sql
	cp $< $@

sql/$(EXTENSION)--unpackaged--$(EXTVERSION).sql: $(EXTENSION_UNPACKAGED_UPGRADE_SCRIPTS) ../../utils/create_unpackaged.pl sql/$(EXTENSION)--ANY--$(EXTVERSION).sql Makefile | sql
	# Ensure version is correct
	cat sql/$(EXTENSION)--ANY--$(EXTVERSION).sql > $@
	cat $(EXTENSION_UNPACKAGED_UPGRADE_SCRIPTS) | $(PERL) ../../utils/create_unpackaged.pl postgis_raster >> $@

unpackaged_check.sql: unpackaged_check.sql.in Makefile
	cat $< \
		| sed -e 's|@EXTVERSION@|$(EXTVERSION)|g' \
		> $@

#strip BEGIN/COMMIT since these are not allowed in extensions
sql/rtpostgis.sql: sql/rtpostgis_for_extension.sql | sql
	$(PERL) -pe 's/BEGIN\;//g ; s/COMMIT\;//g' $< > $@

sql/rtpostgis_for_extension.sql: ../../raster/rt_pg/rtpostgis.sql.in | sql
	$(SQLPP) -I../../postgis/ -I../../ $< | grep -v '^#' | \
	$(PERL) -lpe "s'MODULE_PATHNAME'\$(MODULEPATH)'g" > $@

sql/rtpostgis_upgrade.sql: sql/rtpostgis_upgrade_for_extension.sql | sql
	$(PERL) -pe "s/BEGIN\;//g ; s/COMMIT\;//g; s/^(DROP .*)\;/SELECT postgis_extension_drop_if_exists('$(EXTENSION)', '\1');\n\1\;/" $< > $@

#this keeps the @extschema@. in place since extension machinery will replace during install
sql/rtpostgis_upgrade_for_extension.sql: ../../raster/rt_pg/rtpostgis_upgrade_cleanup.sql sql/rtpostgis_upgrade_for_extension.sql.in ../../raster/rt_pg/rtpostgis_drop.sql | sql
	echo 'BEGIN;' > $@
	cat $^ | sed -e 's/^BEGIN;$$//' -e 's/^COMMIT;$$//' >> $@
	echo 'COMMIT;' >> $@


sql/rtpostgis_upgrade_for_extension.sql.in: sql/rtpostgis_for_extension.sql ../../utils/postgis_proc_upgrade.pl | sql
	$(PERL) ../../utils/postgis_proc_upgrade.pl $< UNUSED > $@


../../doc/raster_comments.sql:
	$(MAKE) -C ../../doc comments

sql/raster_comments.sql: ../../doc/raster_comments.sql | sql
	cp $< $@

sql/$(EXTENSION)--ANY--$(EXTVERSION).sql: $(EXTENSION_UPGRADE_SCRIPTS) | sql
	printf '\\echo Use "CREATE EXTENSION $(EXTENSION)" to load this file. \\quit\n' > $@
	cat $(EXTENSION_UPGRADE_SCRIPTS) >> $@

include ../upgrade-paths-rules.mk

distclean: clean
	rm -f Makefile

PG_CONFIG := /var/lib/jenkins/workspace/pg/rel/pg9.6w64/bin/pg_config
PGXS := /var/lib/jenkins/workspace/pg/rel/pg9.6w64/lib/postgresql/pgxs/src/makefiles/pgxs.mk
include $(PGXS)
PERL = /usr/bin/perl

=== debian/changelog ===
postgis (3.0.0~alpha3+dfsg-1~exp2) experimental; urgency=medium

  [ Christoph Berg ]
  * debian/tests/control: Tests don't need root, but support running as root.
  * debian/.gitlab-ci.yml: Disable reprotest until clang understands
    -ffile-prefix-map.
  * Add CPPFLAGS where missing. Spotted by blhc.

  [ Bas Couwenberg ]
  * Update gbp.conf to use --source-only-changes by default.
  * Bump Standards-Version to 4.4.0, no changes.
  * Update PIE hardening conditional, trusty is EOL.
  * Merge -arch & -indep targets.
    (closes: #932833)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 23 Jul 2019 21:51:42 +0200

postgis (3.0.0~alpha3+dfsg-1~exp1) experimental; urgency=medium

  [ Christoph Berg ]
  * debian/tests: Run core and sfcgal regression tests.
  * Add debian/.gitlab-ci.yml.

  [ Bas Couwenberg ]
  * New upstream alpha release.
  * Update copyright file, changes:
    - Update copyright years for Paul Ramsey
    - Add license & copyright for lookup3.c

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 01 Jul 2019 21:02:32 +0200

postgis (3.0.0~alpha2+dfsg-1~exp1) experimental; urgency=medium

  * New upstream alpha release.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 02 Jun 2019 06:59:58 +0200

postgis (3.0.0~alpha1+dfsg-1~exp2) experimental; urgency=medium

  * Update dh_install -a override to use --list-missing.
  * Move binaries to postgis binary package.
  * Remove README files before dh_install.
  * Bump GEOS build dependency to 3.6.
  * Bump pgversions to 9.5+.
  * Require at least libsfcgal-dev 1.3.1.
  * Drop preloading liblwgeom in test target.
  * Drop postgis minor version from package name to match extension name.
  * Update Conflicts for 2.5 packages.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 27 May 2019 16:24:15 +0200

postgis (3.0.0~alpha1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream alpha release.
  * Drop link-liblwgeom patch, refresh remaining patch.
  * Drop liblwgeom packages, no longer built.
  * Update copyright file, changes:
    - Update copyright years for existing copyright holders
    - Add new copyright holders
    - Add license & copyright for uthash & wagyu

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 26 May 2019 17:38:38 +0200

=== debian/control ===
--- 
+++ 
@@ -20,12 +20,12 @@
                imagemagick,
                libcunit1-dev,
                libgdal-dev (>= 1.11.2+dfsg-3~) | libgdal1-dev (>= 1.9.0~),
-               libgeos-dev (>= 3.5),
+               libgeos-dev (>= 3.6),
                libgtk2.0-dev,
                libjson-c-dev | libjson0-dev (>= 0.9~),
                libproj-dev (>= 4.6.0),
                libprotobuf-c-dev,
-               libsfcgal-dev [!armel],
+               libsfcgal-dev (>= 1.3.1) [!armel],
                libxml2-dev (>= 2.5.0~),
                lsb-release,
                po-debconf,
@@ -37,14 +37,14 @@
                xsltproc
 Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/postgis
-Vcs-Git: https://salsa.debian.org/debian-gis-team/postgis.git
+Vcs-Git: https://salsa.debian.org/debian-gis-team/postgis.git -b experimental
 Homepage: http://postgis.net/
 
 Package: postgis
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Recommends: postgresql-11-postgis-2.5,
+Recommends: postgresql-11-postgis-3,
             postgis-doc
 Suggests: postgis-gui
 Description: Geographic objects support for PostgreSQL
@@ -62,7 +62,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Recommends: postgresql-11-postgis-2.5,
+Recommends: postgresql-11-postgis-3,
             postgis-doc
 Suggests: postgis
 Breaks: postgis (<< 2.2.2+dfsg-2~)
@@ -94,48 +94,12 @@
  .
  This package contains the PostGIS documentation.
 
-Package: liblwgeom-2.5-0
-Architecture: any
-Section: libs
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
-Description: PostGIS "Lightweight Geometry" library
- PostGIS adds support for geographic objects to the PostgreSQL
- object-relational database. In effect, PostGIS "spatially enables"
- the PostgreSQL server, allowing it to be used as a backend spatial
- database for geographic information systems (GIS), much like ESRI's
- SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
- "Simple Features Specification for SQL".
- .
- This library is the generic geometry handling section of PostGIS. The
- geometry objects, constructors, destructors, and a set of spatial
- processing functions, are implemented here.
-
-Package: liblwgeom-dev
-Architecture: any
-Section: libdevel
-Depends: liblwgeom-2.5-0 (= ${binary:Version}),
-         ${misc:Depends}
-Breaks: postgis (<< 2.0.0)
-Description: PostGIS "Lightweight Geometry" library - Development files
- PostGIS adds support for geographic objects to the PostgreSQL
- object-relational database. In effect, PostGIS "spatially enables"
- the PostgreSQL server, allowing it to be used as a backend spatial
- database for geographic information systems (GIS), much like ESRI's
- SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
- "Simple Features Specification for SQL".
- .
- This library is the generic geometry handling section of PostGIS. The
- geometry objects, constructors, destructors, and a set of spatial
- processing functions, are implemented here.  This package contains
- the development files.
-
-Package: postgresql-11-postgis-2.5
+Package: postgresql-11-postgis-3
 Architecture: any
 Depends: postgresql-11,
          ${shlibs:Depends},
          ${misc:Depends}
-Recommends: postgresql-11-postgis-2.5-scripts
+Recommends: postgresql-11-postgis-3-scripts
 Suggests: postgis
 Breaks: postgis (<< 1.2.1)
 Provides: postgresql-11-postgis,
@@ -149,18 +113,19 @@
  "Simple Features Specification for SQL".
  .
  To create the PostGIS extensions in a PostgreSQL 11 database, the
- postgresql-11-postgis-2.5-scripts package must be installed as well.
+ postgresql-11-postgis-3-scripts package must be installed as well.
 
-Package: postgresql-11-postgis-2.5-scripts
+Package: postgresql-11-postgis-3-scripts
 Architecture: all
 Multi-Arch: foreign
 Depends: ${perl:Depends},
          ${misc:Depends}
-Recommends: postgresql-11-postgis-2.5
+Recommends: postgresql-11-postgis-3
 Breaks: postgresql-11-postgis-scripts (<< 2.2.2+dfsg-3~)
 Conflicts: postgresql-11-postgis-2.2-scripts,
            postgresql-11-postgis-2.3-scripts,
-           postgresql-11-postgis-2.4-scripts
+           postgresql-11-postgis-2.4-scripts,
+           postgresql-11-postgis-2.5-scripts
 Provides: postgresql-11-postgis-scripts,
           postgresql-postgis-scripts
 Replaces: postgresql-11-postgis-scripts (<< 2.2.2+dfsg-3~)

=== debian/rules ===
--- 
+++ 
@@ -59,14 +59,6 @@
 $(error Cannot detect Postgis version, fix debian/rules)
 endif
 
-LIBLWGEOM_CURRENT   = $(shell grep ^LIBLWGEOM_IFACE_CUR Version.config | cut -d= -f2)
-LIBLWGEOM_REVISION  = $(shell grep ^LIBLWGEOM_IFACE_REV Version.config | cut -d= -f2)
-LIBLWGEOM_AGE       = $(shell grep ^LIBLWGEOM_IFACE_AGE Version.config | cut -d= -f2)
-LIBLWGEOM_SOVERSION = $(shell expr $(LIBLWGEOM_CURRENT) - $(LIBLWGEOM_AGE))
-ifeq ($(LIBLWGEOM_SOVERSION),)
-$(error Cannot detect liblwgeom SOVERSION, fix debian/rules)
-endif
-
 # For the Postgres APT repository, we want to support multiple
 # Postgres versions. However, docs and the JDBC jar only need to be
 # built once - in the main directory.
@@ -120,9 +112,6 @@
 	rm -f loader/cunit/cu_tester
 	rm -rf liblwgeom/cunit/.libs
 
-#	Cleanup the temporary environment file.
-	rm -f postgis-check-env.tmp
-
 override_dh_auto_configure:
 #	Copy sources required to build extensions for all but the most
 #	recent Postgres version. Unfortunately, Postgis doesn't support
@@ -182,21 +171,15 @@
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 #   Run unit tests (against the newest Postgres version, first)
-	echo "LD_PRELOAD = '$(CURDIR)/liblwgeom/.libs/liblwgeom-$(MAJOR_VERSION).$(MINOR_VERSION).so.$(LIBLWGEOM_SOVERSION)'" \
-		> $(CURDIR)/postgis-check-env.tmp
 	echo " ### testing $(NEWEST_POSTGRES_VERSION) ###"
 	pg_virtualenv -v $(NEWEST_POSTGRES_VERSION) \
-		-c '--environment $(CURDIR)/postgis-check-env.tmp' \
 		make check RUNTESTFLAGS="-v" || $(CHECK_FAIL)
 
 #	Test against all other Postgres versions
 	set -e; \
 	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \
 		echo " ### testing $$PGVER ###"; \
-		echo "LD_PRELOAD = '$(CURDIR)/debian/build-$$PGVER/liblwgeom/.libs/liblwgeom-$(MAJOR_VERSION).$(MINOR_VERSION).so.$(LIBLWGEOM_SOVERSION)'" \
-			> $(CURDIR)/postgis-check-env.tmp; \
 		pg_virtualenv -v $$PGVER \
-			-c '--environment $(CURDIR)/postgis-check-env.tmp' \
 			make -C $(CURDIR)/debian/build-$$PGVER check RUNTESTFLAGS="-v" || $(CHECK_FAIL); \
 	done
 endif
@@ -215,3 +198,26 @@
 			install DESTDIR=$(CURDIR)/debian/tmp; \
 	done)
 
+#	Compile and install docs
+	$(MAKE) -C doc docs-install man-install \
+		DESTDIR=$(CURDIR)/debian/tmp \
+		PGSQL_DOCDIR=/usr/share/doc \
+		PGSQL_MANDIR=/usr/share/man
+
+#	Auto-create required .install file for each Postgres major version
+	(set -e; \
+	for PGVER in $(OTHER_POSTGRES_VERSIONS) $(NEWEST_POSTGRES_VERSION); do \
+		cat $(CURDIR)/debian/postgresql-generic-postgis.install.in \
+			| sed -e "s/@PGVERSION@/$$PGVER/" \
+			> $(CURDIR)/debian/postgresql-$$PGVER-postgis-$(MAJOR_VERSION).install; \
+		cat $(CURDIR)/debian/postgresql-generic-postgis-scripts.install.in \
+			| sed -e "s/@PGVERSION@/$$PGVER/" \
+			> $(CURDIR)/debian/postgresql-$$PGVER-postgis-$(MAJOR_VERSION)-scripts.install; \
+	done)
+
+#	Move binaries from the NEWEST_POSTGRES_VERSION build to the
+#	'postgis' binary package.
+	mkdir -p $(CURDIR)/debian/postgis/usr/bin
+	mv $(CURDIR)/debian/tmp/usr/lib/postgresql/$(NEWEST_POSTGRES_VERSION)/bin/* \
+		$(CURDIR)/debian/postgis/usr/bin/
+
